qasync

Python library for using asyncio in Qt-based applications.

Showing:

Popularity

Downloads/wk

0

GitHub Stars

111

Maintenance

Last Commit

1mo ago

Contributors

23

Package

Dependencies

0

License

BSD

Categories

Readme

qasync

Maintenance PyPI - Python Version PyPI - License PyPI test

Introduction

qasync allows coroutines to be used in PyQt/PySide applications by providing an implementation of the PEP 3156 event-loop.

qasync is a fork of asyncqt, which is a fork of quamash. May it live longer than its predecessors.

The future of qasync

qasync was created because asyncqt and quamash are no longer maintained.

qasync will continue to be maintained, and will still be accepting pull requests.

Requirements

qasync requires Python >= 3.6, and PyQt5 or PySide2.

Installation

To install qasync, use pip:

pip install qasync

License

You may use, modify and redistribute this software under the terms of the BSD License. See LICENSE.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100
No reviews found
Be the first to rate

Alternatives

No alternatives found

Tutorials

No tutorials found
Add a tutorial